commit ffe2a432ac553b45b954fa24c8cbb9cc373bfbc6
Author: H.J. Lu <hjl.tools@gmail.com>
Date:   Tue Sep 29 11:40:46 2020 -0700

    x86: Replace <enqcmdntrin.h> with <enqcmdintrin.h>
    
    Fix 2 typos in config/i386/enqcmdintrin.h by replacing <enqcmdntrin.h>
    with <enqcmdintrin.h>:
    
    [hjl@gnu-cfl-2 x86-gcc]$ echo "#include <enqcmdintrin.h>" | gcc -S -o /dev/null -x c -
    In file included from <stdin>:1:
    /usr/lib/gcc/x86_64-redhat-linux/10/include/enqcmdintrin.h:25:3: error: #error "Never use <enqcmdntrin.h> directly; include <x86intrin.h> instead."
       25 | # error "Never use <enqcmdntrin.h> directly; include <x86intrin.h> instead."
          |   ^~~~~
    [hjl@gnu-cfl-2 x86-gcc]$
    
    and _ENQCMDINTRIN_H_INCLUDED with _ENQCMDINTRIN_H_INCLUDED.
    
    gcc/
    
            PR target/97247
            * config/i386/enqcmdintrin.h: Replace <enqcmdntrin.h> with
            <enqcmdintrin.h>.  Replace _ENQCMDNTRIN_H_INCLUDED with
            _ENQCMDINTRIN_H_INCLUDED.
    
    (cherry picked from commit dec881f85abbddc6e37630b6e61ce621cea6acd7)

diff --git a/gcc/config/i386/enqcmdintrin.h b/gcc/config/i386/enqcmdintrin.h
index 4b2efcb9a20..721dfb2ca92 100644
--- a/gcc/config/i386/enqcmdintrin.h
+++ b/gcc/config/i386/enqcmdintrin.h
@@ -22,11 +22,11 @@
    <http://www.gnu.org/licenses/>.  */
 
 #if !defined _IMMINTRIN_H_INCLUDED
-# error "Never use <enqcmdntrin.h> directly; include <x86intrin.h> instead."
+# error "Never use <enqcmdintrin.h> directly; include <x86intrin.h> instead."
 #endif
 
-#ifndef _ENQCMDNTRIN_H_INCLUDED
-#define _ENQCMDNTRIN_H_INCLUDED
+#ifndef _ENQCMDINTRIN_H_INCLUDED
+#define _ENQCMDINTRIN_H_INCLUDED
 
 #ifndef __ENQCMD__
 #pragma GCC push_options
@@ -52,4 +52,4 @@ _enqcmds (void * __P, const void * __Q)
 #undef __DISABLE_ENQCMD__
 #pragma GCC pop_options
 #endif /* __DISABLE_ENQCMD__ */
-#endif /* _ENQCMDNTRIN_H_INCLUDED.  */
+#endif /* _ENQCMDINTRIN_H_INCLUDED.  */

